Name:          janino
Version:       2.6.1
Release:       2%{?dist}
Summary:       An embedded Java compiler
Group:         Development/Tools
License:       BSD
URL:           http://docs.codehaus.org/display/JANINO/Home
Source0:       http://dist.codehaus.org/%{name}/%{name}-%{version}.zip
Source1:       http://repo1.maven.org/maven2/org/codehaus/%{name}/%{name}-parent/%{version}/%{name}-parent-%{version}.pom
Source2:       http://repo1.maven.org/maven2/org/codehaus/%{name}/commons-compiler/%{version}/commons-compiler-%{version}.pom
Source3:       http://repo1.maven.org/maven2/org/codehaus/%{name}/commons-compiler-jdk/%{version}/commons-compiler-jdk-%{version}.pom
Source4:       http://repo1.maven.org/maven2/org/codehaus/%{name}/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: codehaus-parent
BuildRequires: maven-local

Requires:      java >= 1:1.6.0
Requires:      jpackage-utils
Requires:      ant
BuildArch:     noarch

%description
Janino is a super-small, super-fast Java compiler. Not only can it compile
a set of source files to a set of class files like the JAVAC tool, but also
can it compile a Java expression, block, class body or source file in
memory, load the bytecode and execute it directly in the same JVM. Janino
is not intended to be a development tool, but an embedded compiler for
run-time compilation purposes, e.g. expression evaluators or "server pages"
engines like JSP.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
BuildRequires: jpackage-utils
Requires:      jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q

for m in commons-compiler commons-compiler-jdk %{name};do
  %{__mkdir_p} ${m}/src
  (
    cd ${m}/src/
    %{__unzip} -qq  ../../${m}-src.zip
    if [ -f org.codehaus.commons.compiler.properties ]; then
      %{__mkdir_p} main/resources
      %{__mv} org.codehaus.commons.compiler.properties main/resources
    fi
  )
done

find . -name "*.jar" -delete
find . -name "*.class" -delete
%{__cp} -p %{SOURCE1} pom.xml
%{__cp} -p %{SOURCE2} commons-compiler/pom.xml
%{__cp} -p %{SOURCE3} commons-compiler-jdk/pom.xml
%{__cp} -p %{SOURCE4} %{name}/pom.xml

# Modify top level pom.xml
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-surefire-report-plugin
%pom_remove_plugin :javancss-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :jdepend-maven-plugin
%pom_remove_plugin :buildnumber-maven-plugin
%pom_xpath_set "//pom:dependency/pom:artifactId[text()='ant-nodeps']" "ant"
%pom_xpath_set //pom:source '1.5'
%pom_xpath_set //pom:target '1.5'

%global maven_group "org.codehaus.janino"
# Modify commons-compiler pom
%pom_xpath_inject "/pom:project" "<groupId>%{maven_group}</groupId>" commons-compiler
%pom_xpath_inject "/pom:project" "<version>%{version}</version>" commons-compiler

# Modify commons-compiler-jdk pom
%pom_xpath_inject "/pom:project" "<groupId>%{maven_group}</groupId>" commons-compiler-jdk
%pom_xpath_inject "/pom:project" "<version>%{version}</version>" commons-compiler-jdk
%pom_remove_dep "%{maven_group}:commons-compiler" commons-compiler-jdk
%pom_add_dep "%{maven_group}:commons-compiler:%{version}" commons-compiler-jdk

# Modify janino pom
%pom_xpath_inject "/pom:project" "<groupId>%{maven_group}</groupId>" %{name}
%pom_xpath_inject "/pom:project" "<version>%{version}</version>" %{name}
%pom_xpath_set "//pom:dependency/pom:artifactId[text()='ant-nodeps']" "ant" %{name}
%pom_remove_dep "%{maven_group}:commons-compiler" %{name}
%pom_add_dep "%{maven_group}:commons-compiler:%{version}" %{name}

sed -i -e 's/\r$//g' new_bsd_license.txt README.txt

%build
# build without tests
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc new_bsd_license.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc new_bsd_license.txt

%changelog
* Fri Apr 25 2014 Alex Wood <awood@redhat.com> 2.6.1-2
- Remove dependency on jboss-parent.

* Mon Apr 14 2014 Alex Wood <awood@redhat.com> 2.6.1-1
- Building for RHEL 7. 

